/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

// This parser produces a blurp on the output device once a second. It does not
// take any input. It is useful for diagnostics.

#include "BlurpParser.h"
#include "data_structs.h"
#include "ParserRegistration.h"
#include "sched.h"

static Bool running;
static ioref ou_node;

static ScheduleTime func(void*)
{
	if (!running)
		return NEVER;
	ScheduleTime t = oap->time();
	int i;
	for (i = 0; i < 13; i++)
	{
		MIDI_msg m;
		m.set(MIDI_msg::note_on, 0, 60+i, 64, ou_node);
		task_data td(m, 500, t+(50*(i+1)));
		schedp->insert(td);
	}
	return 2000;
}

BlurpParser::
BlurpParser()
{
	ou_node = oap->open_output(); // open the default output
	running = True;
	task_data td(func, NULL, oap->time()+2000);
	schedp->insert(td);
}

BlurpParser::
~BlurpParser()
{
	running = False;
}

static parser* newFunc()
{
	return (new BlurpParser());
}

static ParserRegistration reg(newFunc, "BlurpParser");

// Author: Patrick Pelletier
