/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef BINSTATISTIC_H
#define BINSTATISTIC_H

#include "Statistic.h"
#include "basic_types.h"
#include "UtilArray.h"

class BinStatistic : Statistic {
	struct Bin {
		int min;
		int value;
		Bool operator==(const Bin& b) { return (min == b.min && value == b.value); }
	};
	typedef UtilArray<Bin> BinArray;
	BinArray bins;
	const char* name;
	int max;
public:
	BinStatistic(int, int (*func)(int), const char*);
	void clear();
	void stat(FILE*);
	void throwInBin(int);
};

#endif
// Author: Patrick Pelletier
