/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#include "LPeriodical.h"
#include "OMS_app.h"

void LPeriodical::StartIdling()
{
	if (t == NULL)
	{
		task_data td(callback, (void*) this, oap->time() + 100);
		if (schedp->insert(td, &t) == err)
		{
			ew.w("LPeriodical couldn't StartIdling");
		}
	}
}

void LPeriodical::StopIdling()
{
	if (t != NULL)
	{
		if (schedp->cancel(t) == err)
			ew.w("LPeriodical couldn't StopIdling");
		else
			t = NULL;
	}
}

ScheduleTime LPeriodical::callback(void* v)
{
	LPeriodical* l = (LPeriodical*)v;
	l->SpendTime(0);
	return 100;
}

// Author: Patrick Pelletier
