#include "NotePairScoreElement.h"
#include "sched.h"
#include "OMS_app.h"

void NotePairScoreElement::play(NotePairScoreScale s, ScheduleTime tt) const
{
	oap->write(&msg);
	if (dur != -1)
	{
		MIDI_msg m = msg;
		switch(m.msgt())
		{
		case MIDI_msg::note_on:
			m.set_vel(0);
			break;
		case MIDI_msg::control_chn:
			m.d2 ^= 0x7f;
			break;
		default:
			ew.w("something which is not a note has duration - invalid!");
			break;
		}
		ScheduleTime t = tt + ScheduleTime(dur * s);
		task_data td(m, t);
		schedp->insert(td);
	}
}

// Author: Patrick Pelletier
